Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class LeafSetTest.TestNodeHandle

    java.lang.Object
      java.util.Observable
          rice.p2p.commonapi.NodeHandle
              rice.pastry.NodeHandle
                  rice.pastry.testing.LeafSetTest.TestNodeHandle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Enclosing class:
  LeafSetTest

    public static class LeafSetTest.TestNodeHandle

extends NodeHandle
implements java.lang.Comparable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary

Fields inherited from class rice.pastry.NodeHandle
`LIVENESS_ALIVE, LIVENESS_DEAD, LIVENESS_SUSPECTED, localnode, logger`

Fields inherited from class rice.p2p.commonapi.NodeHandle
`DECLARED_DEAD, DECLARED_LIVE, PROXIMITY_CHANGED`

Constructor Summary
`LeafSetTest.TestNodeHandle(Id id)` Constructor for TestNodeHandle.

Method Summary
`int` | `compareTo(java.lang.Object o)` DESCRIBE THE METHOD
`boolean` | `equals(java.lang.Object obj)` Compares this to the parameter.
`int` | `getLiveness()` Gets the Liveness attribute of the TestNodeHandle object
`Id` | `getNodeId()` Gets the NodeId attribute of the TestNodeHandle object
`int` | `hashCode()` Computes a hash value for this object.
`boolean` | `ping()` DESCRIBE THE METHOD
`int` | `proximity()` DESCRIBE THE METHOD
`void` | `receiveMessage(Message m)` DESCRIBE THE METHOD
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` Converts to a String representation of the object.

Methods inherited from class rice.pastry.NodeHandle
`assertLocalNode, bootstrap, checkLiveness, getId, getLocalNode, isAlive`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LeafSetTest.TestNodeHandle

    public LeafSetTest.TestNodeHandle(Id id)

  Constructor for TestNodeHandle.

  Parameters:
    `id` - DESCRIBE THE PARAMETER

Method Detail

### getNodeId

    public Id getNodeId()

  Gets the NodeId attribute of the TestNodeHandle object

  Specified by:
    `getNodeId` in class `NodeHandle`
  Returns:
    The NodeId value

### getLiveness

    public int getLiveness()

  Gets the Liveness attribute of the TestNodeHandle object

  Specified by:
    `getLiveness` in class `NodeHandle`
  Returns:
    The Liveness value

### proximity

    public int proximity()

  DESCRIBE THE METHOD

  Specified by:
    `proximity` in class `NodeHandle`
  Returns:
    DESCRIBE THE RETURN VALUE

### ping

    public boolean ping()

  DESCRIBE THE METHOD

  Specified by:
    `ping` in class `NodeHandle`
  Returns:
    DESCRIBE THE RETURN VALUE

### equals

    public boolean equals(java.lang.Object obj)

  Compares this to the parameter.

  Specified by:
    `equals` in class `NodeHandle`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Computes a hash value for this object.

  Specified by:
    `hashCode` in class `NodeHandle`
  Returns:
    The hash value for this object.

### receiveMessage

    public void receiveMessage(Message m)

  DESCRIBE THE METHOD

  Specified by:
    `receiveMessage` in class `NodeHandle`
  Parameters:
    `m` - DESCRIBE THE PARAMETER

### compareTo

    public int compareTo(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  Converts to a String representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the object.

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in class `NodeHandle`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.